
/// Example class
struct A {
    /// Link with \ref f(), in \ref f()& the ampersand is not considered
    /// and handled as text
    void f() &;

    /// \ref f()&& links to the first f.
    void f() &&;

    /// Link with g(int&&), OK!
    void g(int&&);

    /// Link with \ref h(), OK
    void h();

    /// Overload. Nor \ref h(int) neither \ref h(int)& does work.
    /// This means, they issue a
    /// "warning: unable to resolve reference to `h(int)' for \ref command"
    /// Before commit 9ef1bf94eef1af591c40102b930fef95250b8142 at least
    /// \ref h(int) works, but any appended ampersand is handled as text.
    void h(int) &;
}
